#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/X11/xdm/xdm-config.new
config etc/X11/xdm/Xservers.new
config etc/X11/xdm/Xsession.new
config etc/X11/slim.conf.new
config etc/conf.d/xterm.new

if [ -x usr/bin/update-desktop-database ]; then
chroot . /usr/bin/update-desktop-database 1> dev/null 2> dev/null
fi
( cd etc/fonts/conf.d ; rm -rf 20-fix-globaladvance.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/20-fix-globaladvance.conf 20-fix-globaladvance.conf )
( cd etc/fonts/conf.d ; rm -rf 20-lohit-gujarati.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/20-lohit-gujarati.conf 20-lohit-gujarati.conf )
( cd etc/fonts/conf.d ; rm -rf 20-unhint-small-vera.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/20-unhint-small-vera.conf 20-unhint-small-vera.conf )
( cd etc/fonts/conf.d ; rm -rf 30-amt-aliases.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/30-amt-aliases.conf 30-amt-aliases.conf )
( cd etc/fonts/conf.d ; rm -rf 30-urw-aliases.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/30-urw-aliases.conf 30-urw-aliases.conf )
( cd etc/fonts/conf.d ; rm -rf 40-generic.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/40-generic.conf 40-generic.conf )
( cd etc/fonts/conf.d ; rm -rf 49-sansserif.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/49-sansserif.conf 49-sansserif.conf )
( cd etc/fonts/conf.d ; rm -rf 50-user.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/50-user.conf 50-user.conf )
( cd etc/fonts/conf.d ; rm -rf 51-local.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/51-local.conf 51-local.conf )
( cd etc/fonts/conf.d ; rm -rf 60-latin.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/60-latin.conf 60-latin.conf )
( cd etc/fonts/conf.d ; rm -rf 65-fonts-persian.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/65-fonts-persian.conf 65-fonts-persian.conf )
( cd etc/fonts/conf.d ; rm -rf 65-nonlatin.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/65-nonlatin.conf 65-nonlatin.conf )
( cd etc/fonts/conf.d ; rm -rf 69-unifont.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/69-unifont.conf 69-unifont.conf )
( cd etc/fonts/conf.d ; rm -rf 80-delicious.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/80-delicious.conf 80-delicious.conf )
( cd etc/fonts/conf.d ; rm -rf 90-synthetic.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/90-synthetic.conf 90-synthetic.conf )
( cd usr/bin ; rm -rf X )
( cd usr/bin ; ln -sf Xorg X )
( cd usr/bin ; rm -rf inb )
( cd usr/bin ; ln -sf ioport inb )
( cd usr/bin ; rm -rf inl )
( cd usr/bin ; ln -sf ioport inl )
( cd usr/bin ; rm -rf inw )
( cd usr/bin ; ln -sf ioport inw )
( cd usr/bin ; rm -rf outb )
( cd usr/bin ; ln -sf ioport outb )
( cd usr/bin ; rm -rf outl )
( cd usr/bin ; ln -sf ioport outl )
( cd usr/bin ; rm -rf outw )
( cd usr/bin ; ln -sf ioport outw )
( cd usr/lib/X11 ; rm -rf fs )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/fs fs )
( cd usr/lib/X11 ; rm -rf lbxproxy )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/lbxproxy lbxproxy )
( cd usr/lib/X11 ; rm -rf proxymngr )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/proxymngr proxymngr )
( cd usr/lib/X11 ; rm -rf rstart )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/rstart rstart )
( cd usr/lib/X11 ; rm -rf xdm )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/xdm xdm )
( cd usr/lib/X11 ; rm -rf xinit )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/xinit xinit )
( cd usr/lib/X11 ; rm -rf xsm )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/xsm xsm )
( cd usr/lib ; rm -rf libAppleWM.so )
( cd usr/lib ; ln -sf libAppleWM.so.7.0.0 libAppleWM.so )
( cd usr/lib ; rm -rf libAppleWM.so.7 )
( cd usr/lib ; ln -sf libAppleWM.so.7.0.0 libAppleWM.so.7 )
( cd usr/lib ; rm -rf libFS.so )
( cd usr/lib ; ln -sf libFS.so.6.0.0 libFS.so )
( cd usr/lib ; rm -rf libFS.so.6 )
( cd usr/lib ; ln -sf libFS.so.6.0.0 libFS.so.6 )
( cd usr/lib ; rm -rf libGL.so )
( cd usr/lib ; ln -sf libGL.so.1 libGL.so )
( cd usr/lib ; rm -rf libGL.so.1 )
( cd usr/lib ; ln -sf libGL.so.1.2 libGL.so.1 )
( cd usr/lib ; rm -rf libGLU.so )
( cd usr/lib ; ln -sf libGLU.so.1 libGLU.so )
( cd usr/lib ; rm -rf libGLU.so.1 )
( cd usr/lib ; ln -sf libGLU.so.1.3.070001 libGLU.so.1 )
( cd usr/lib ; rm -rf libGLw.so )
( cd usr/lib ; ln -sf libGLw.so.1 libGLw.so )
( cd usr/lib ; rm -rf libGLw.so.1 )
( cd usr/lib ; ln -sf libGLw.so.1.0.0 libGLw.so.1 )
( cd usr/lib ; rm -rf libI810XvMC.so )
( cd usr/lib ; ln -sf libI810XvMC.so.1.0.0 libI810XvMC.so )
( cd usr/lib ; rm -rf libI810XvMC.so.1 )
( cd usr/lib ; ln -sf libI810XvMC.so.1.0.0 libI810XvMC.so.1 )
( cd usr/lib ; rm -rf libICE.so )
( cd usr/lib ; ln -sf libICE.so.6.3.0 libICE.so )
( cd usr/lib ; rm -rf libICE.so.6 )
( cd usr/lib ; ln -sf libICE.so.6.3.0 libICE.so.6 )
( cd usr/lib ; rm -rf libSM.so )
( cd usr/lib ; ln -sf libSM.so.6.0.0 libSM.so )
( cd usr/lib ; rm -rf libSM.so.6 )
( cd usr/lib ; ln -sf libSM.so.6.0.0 libSM.so.6 )
( cd usr/lib ; rm -rf libWindowsWM.so )
( cd usr/lib ; ln -sf libWindowsWM.so.7.0.0 libWindowsWM.so )
( cd usr/lib ; rm -rf libWindowsWM.so.7 )
( cd usr/lib ; ln -sf libWindowsWM.so.7.0.0 libWindowsWM.so.7 )
( cd usr/lib ; rm -rf libX11.so )
( cd usr/lib ; ln -sf libX11.so.6.2.0 libX11.so )
( cd usr/lib ; rm -rf libX11.so.6 )
( cd usr/lib ; ln -sf libX11.so.6.2.0 libX11.so.6 )
( cd usr/lib ; rm -rf libXRes.so )
( cd usr/lib ; ln -sf libXRes.so.1.0.0 libXRes.so )
( cd usr/lib ; rm -rf libXRes.so.1 )
( cd usr/lib ; ln -sf libXRes.so.1.0.0 libXRes.so.1 )
( cd usr/lib ; rm -rf libXTrap.so )
( cd usr/lib ; ln -sf libXTrap.so.6.4.0 libXTrap.so )
( cd usr/lib ; rm -rf libXTrap.so.6 )
( cd usr/lib ; ln -sf libXTrap.so.6.4.0 libXTrap.so.6 )
( cd usr/lib ; rm -rf libXau.so )
( cd usr/lib ; ln -sf libXau.so.6.0.0 libXau.so )
( cd usr/lib ; rm -rf libXau.so.6 )
( cd usr/lib ; ln -sf libXau.so.6.0.0 libXau.so.6 )
( cd usr/lib ; rm -rf libXaw.so )
( cd usr/lib ; ln -sf libXaw8.so libXaw.so )
( cd usr/lib ; rm -rf libXaw.so.6 )
( cd usr/lib ; ln -sf libXaw6.so.6 libXaw.so.6 )
( cd usr/lib ; rm -rf libXaw.so.7 )
( cd usr/lib ; ln -sf libXaw7.so.7 libXaw.so.7 )
( cd usr/lib ; rm -rf libXaw.so.8 )
( cd usr/lib ; ln -sf libXaw8.so.8 libXaw.so.8 )
( cd usr/lib ; rm -rf libXaw6.so )
( cd usr/lib ; ln -sf libXaw6.so.6.0.1 libXaw6.so )
( cd usr/lib ; rm -rf libXaw6.so.6 )
( cd usr/lib ; ln -sf libXaw6.so.6.0.1 libXaw6.so.6 )
( cd usr/lib ; rm -rf libXaw7.so )
( cd usr/lib ; ln -sf libXaw7.so.7.0.0 libXaw7.so )
( cd usr/lib ; rm -rf libXaw7.so.7 )
( cd usr/lib ; ln -sf libXaw7.so.7.0.0 libXaw7.so.7 )
( cd usr/lib ; rm -rf libXaw8.so )
( cd usr/lib ; ln -sf libXaw8.so.8.0.0 libXaw8.so )
( cd usr/lib ; rm -rf libXaw8.so.8 )
( cd usr/lib ; ln -sf libXaw8.so.8.0.0 libXaw8.so.8 )
( cd usr/lib ; rm -rf libXcomposite.so )
( cd usr/lib ; ln -sf libXcomposite.so.1.0.0 libXcomposite.so )
( cd usr/lib ; rm -rf libXcomposite.so.1 )
( cd usr/lib ; ln -sf libXcomposite.so.1.0.0 libXcomposite.so.1 )
( cd usr/lib ; rm -rf libXcursor.so )
( cd usr/lib ; ln -sf libXcursor.so.1.0.2 libXcursor.so )
( cd usr/lib ; rm -rf libXcursor.so.1 )
( cd usr/lib ; ln -sf libXcursor.so.1.0.2 libXcursor.so.1 )
( cd usr/lib ; rm -rf libXdamage.so )
( cd usr/lib ; ln -sf libXdamage.so.1.1.0 libXdamage.so )
( cd usr/lib ; rm -rf libXdamage.so.1 )
( cd usr/lib ; ln -sf libXdamage.so.1.1.0 libXdamage.so.1 )
( cd usr/lib ; rm -rf libXdmcp.so )
( cd usr/lib ; ln -sf libXdmcp.so.6.0.0 libXdmcp.so )
( cd usr/lib ; rm -rf libXdmcp.so.6 )
( cd usr/lib ; ln -sf libXdmcp.so.6.0.0 libXdmcp.so.6 )
( cd usr/lib ; rm -rf libXevie.so )
( cd usr/lib ; ln -sf libXevie.so.1.0.0 libXevie.so )
( cd usr/lib ; rm -rf libXevie.so.1 )
( cd usr/lib ; ln -sf libXevie.so.1.0.0 libXevie.so.1 )
( cd usr/lib ; rm -rf libXext.so )
( cd usr/lib ; ln -sf libXext.so.6.4.0 libXext.so )
( cd usr/lib ; rm -rf libXext.so.6 )
( cd usr/lib ; ln -sf libXext.so.6.4.0 libXext.so.6 )
( cd usr/lib ; rm -rf libXfixes.so )
( cd usr/lib ; ln -sf libXfixes.so.3.1.0 libXfixes.so )
( cd usr/lib ; rm -rf libXfixes.so.3 )
( cd usr/lib ; ln -sf libXfixes.so.3.1.0 libXfixes.so.3 )
( cd usr/lib ; rm -rf libXfont.so )
( cd usr/lib ; ln -sf libXfont.so.1.4.1 libXfont.so )
( cd usr/lib ; rm -rf libXfont.so.1 )
( cd usr/lib ; ln -sf libXfont.so.1.4.1 libXfont.so.1 )
( cd usr/lib ; rm -rf libXfontcache.so )
( cd usr/lib ; ln -sf libXfontcache.so.1.0.0 libXfontcache.so )
( cd usr/lib ; rm -rf libXfontcache.so.1 )
( cd usr/lib ; ln -sf libXfontcache.so.1.0.0 libXfontcache.so.1 )
( cd usr/lib ; rm -rf libXft.so )
( cd usr/lib ; ln -sf libXft.so.2.1.2 libXft.so )
( cd usr/lib ; rm -rf libXft.so.2 )
( cd usr/lib ; ln -sf libXft.so.2.1.2 libXft.so.2 )
( cd usr/lib ; rm -rf libXi.so )
( cd usr/lib ; ln -sf libXi.so.6.0.0 libXi.so )
( cd usr/lib ; rm -rf libXi.so.6 )
( cd usr/lib ; ln -sf libXi.so.6.0.0 libXi.so.6 )
( cd usr/lib ; rm -rf libXinerama.so )
( cd usr/lib ; ln -sf libXinerama.so.1.0.0 libXinerama.so )
( cd usr/lib ; rm -rf libXinerama.so.1 )
( cd usr/lib ; ln -sf libXinerama.so.1.0.0 libXinerama.so.1 )
( cd usr/lib ; rm -rf libXmu.so )
( cd usr/lib ; ln -sf libXmu.so.6.2.0 libXmu.so )
( cd usr/lib ; rm -rf libXmu.so.6 )
( cd usr/lib ; ln -sf libXmu.so.6.2.0 libXmu.so.6 )
( cd usr/lib ; rm -rf libXmuu.so )
( cd usr/lib ; ln -sf libXmuu.so.1.0.0 libXmuu.so )
( cd usr/lib ; rm -rf libXmuu.so.1 )
( cd usr/lib ; ln -sf libXmuu.so.1.0.0 libXmuu.so.1 )
( cd usr/lib ; rm -rf libXp.so )
( cd usr/lib ; ln -sf libXp.so.6.2.0 libXp.so )
( cd usr/lib ; rm -rf libXp.so.6 )
( cd usr/lib ; ln -sf libXp.so.6.2.0 libXp.so.6 )
( cd usr/lib ; rm -rf libXpm.so )
( cd usr/lib ; ln -sf libXpm.so.4.11.0 libXpm.so )
( cd usr/lib ; rm -rf libXpm.so.4 )
( cd usr/lib ; ln -sf libXpm.so.4.11.0 libXpm.so.4 )
( cd usr/lib ; rm -rf libXprintAppUtil.so )
( cd usr/lib ; ln -sf libXprintAppUtil.so.1.0.0 libXprintAppUtil.so )
( cd usr/lib ; rm -rf libXprintAppUtil.so.1 )
( cd usr/lib ; ln -sf libXprintAppUtil.so.1.0.0 libXprintAppUtil.so.1 )
( cd usr/lib ; rm -rf libXprintUtil.so )
( cd usr/lib ; ln -sf libXprintUtil.so.1.0.0 libXprintUtil.so )
( cd usr/lib ; rm -rf libXprintUtil.so.1 )
( cd usr/lib ; ln -sf libXprintUtil.so.1.0.0 libXprintUtil.so.1 )
( cd usr/lib ; rm -rf libXrandr.so )
( cd usr/lib ; ln -sf libXrandr.so.2.1.0 libXrandr.so )
( cd usr/lib ; rm -rf libXrandr.so.2 )
( cd usr/lib ; ln -sf libXrandr.so.2.1.0 libXrandr.so.2 )
( cd usr/lib ; rm -rf libXrender.so )
( cd usr/lib ; ln -sf libXrender.so.1.3.0 libXrender.so )
( cd usr/lib ; rm -rf libXrender.so.1 )
( cd usr/lib ; ln -sf libXrender.so.1.3.0 libXrender.so.1 )
( cd usr/lib ; rm -rf libXss.so )
( cd usr/lib ; ln -sf libXss.so.1.0.0 libXss.so )
( cd usr/lib ; rm -rf libXss.so.1 )
( cd usr/lib ; ln -sf libXss.so.1.0.0 libXss.so.1 )
( cd usr/lib ; rm -rf libXt.so )
( cd usr/lib ; ln -sf libXt.so.6.0.0 libXt.so )
( cd usr/lib ; rm -rf libXt.so.6 )
( cd usr/lib ; ln -sf libXt.so.6.0.0 libXt.so.6 )
( cd usr/lib ; rm -rf libXtst.so )
( cd usr/lib ; ln -sf libXtst.so.6.1.0 libXtst.so )
( cd usr/lib ; rm -rf libXtst.so.6 )
( cd usr/lib ; ln -sf libXtst.so.6.1.0 libXtst.so.6 )
( cd usr/lib ; rm -rf libXv.so )
( cd usr/lib ; ln -sf libXv.so.1.0.0 libXv.so )
( cd usr/lib ; rm -rf libXv.so.1 )
( cd usr/lib ; ln -sf libXv.so.1.0.0 libXv.so.1 )
( cd usr/lib ; rm -rf libXvMC.so )
( cd usr/lib ; ln -sf libXvMC.so.1.0.0 libXvMC.so )
( cd usr/lib ; rm -rf libXvMC.so.1 )
( cd usr/lib ; ln -sf libXvMC.so.1.0.0 libXvMC.so.1 )
( cd usr/lib ; rm -rf libXvMCW.so )
( cd usr/lib ; ln -sf libXvMCW.so.1.0.0 libXvMCW.so )
( cd usr/lib ; rm -rf libXvMCW.so.1 )
( cd usr/lib ; ln -sf libXvMCW.so.1.0.0 libXvMCW.so.1 )
( cd usr/lib ; rm -rf libXxf86dga.so )
( cd usr/lib ; ln -sf libXxf86dga.so.1.0.0 libXxf86dga.so )
( cd usr/lib ; rm -rf libXxf86dga.so.1 )
( cd usr/lib ; ln -sf libXxf86dga.so.1.0.0 libXxf86dga.so.1 )
( cd usr/lib ; rm -rf libXxf86misc.so )
( cd usr/lib ; ln -sf libXxf86misc.so.1.1.0 libXxf86misc.so )
( cd usr/lib ; rm -rf libXxf86misc.so.1 )
( cd usr/lib ; ln -sf libXxf86misc.so.1.1.0 libXxf86misc.so.1 )
( cd usr/lib ; rm -rf libXxf86vm.so )
( cd usr/lib ; ln -sf libXxf86vm.so.1.0.0 libXxf86vm.so )
( cd usr/lib ; rm -rf libXxf86vm.so.1 )
( cd usr/lib ; ln -sf libXxf86vm.so.1.0.0 libXxf86vm.so.1 )
( cd usr/lib ; rm -rf libdmx.so )
( cd usr/lib ; ln -sf libdmx.so.1.0.0 libdmx.so )
( cd usr/lib ; rm -rf libdmx.so.1 )
( cd usr/lib ; ln -sf libdmx.so.1.0.0 libdmx.so.1 )
( cd usr/lib ; rm -rf libdrm.so )
( cd usr/lib ; ln -sf libdrm.so.2.3.0 libdrm.so )
( cd usr/lib ; rm -rf libdrm.so.2 )
( cd usr/lib ; ln -sf libdrm.so.2.3.0 libdrm.so.2 )
( cd usr/lib ; rm -rf libfontconfig.so )
( cd usr/lib ; ln -sf libfontconfig.so.1.2.0 libfontconfig.so )
( cd usr/lib ; rm -rf libfontconfig.so.1 )
( cd usr/lib ; ln -sf libfontconfig.so.1.2.0 libfontconfig.so.1 )
( cd usr/lib ; rm -rf libfontenc.so )
( cd usr/lib ; ln -sf libfontenc.so.1.0.0 libfontenc.so )
( cd usr/lib ; rm -rf libfontenc.so.1 )
( cd usr/lib ; ln -sf libfontenc.so.1.0.0 libfontenc.so.1 )
( cd usr/lib ; rm -rf liblbxutil.so )
( cd usr/lib ; ln -sf liblbxutil.so.1.0.0 liblbxutil.so )
( cd usr/lib ; rm -rf liblbxutil.so.1 )
( cd usr/lib ; ln -sf liblbxutil.so.1.0.0 liblbxutil.so.1 )
( cd usr/lib ; rm -rf liboldX.so )
( cd usr/lib ; ln -sf liboldX.so.6.0.0 liboldX.so )
( cd usr/lib ; rm -rf liboldX.so.6 )
( cd usr/lib ; ln -sf liboldX.so.6.0.0 liboldX.so.6 )
( cd usr/lib ; rm -rf libpixman-1.so )
( cd usr/lib ; ln -sf libpixman-1.so.0.10.0 libpixman-1.so )
( cd usr/lib ; rm -rf libpixman-1.so.0 )
( cd usr/lib ; ln -sf libpixman-1.so.0.10.0 libpixman-1.so.0 )
( cd usr/lib ; rm -rf libviaXvMC.so )
( cd usr/lib ; ln -sf libviaXvMC.so.1.0.0 libviaXvMC.so )
( cd usr/lib ; rm -rf libviaXvMC.so.1 )
( cd usr/lib ; ln -sf libviaXvMC.so.1.0.0 libviaXvMC.so.1 )
( cd usr/lib ; rm -rf libviaXvMCPro.so )
( cd usr/lib ; ln -sf libviaXvMCPro.so.1.0.0 libviaXvMCPro.so )
( cd usr/lib ; rm -rf libviaXvMCPro.so.1 )
( cd usr/lib ; ln -sf libviaXvMCPro.so.1.0.0 libviaXvMCPro.so.1 )
( cd usr/lib ; rm -rf libxkbfile.so )
( cd usr/lib ; ln -sf libxkbfile.so.1.0.2 libxkbfile.so )
( cd usr/lib ; rm -rf libxkbfile.so.1 )
( cd usr/lib ; ln -sf libxkbfile.so.1.0.2 libxkbfile.so.1 )
( cd usr/lib ; rm -rf libxkbui.so )
( cd usr/lib ; ln -sf libxkbui.so.1.0.0 libxkbui.so )
( cd usr/lib ; rm -rf libxkbui.so.1 )
( cd usr/lib ; ln -sf libxkbui.so.1.0.0 libxkbui.so.1 )
( cd usr/lib ; rm -rf libxrx.so )
( cd usr/lib ; ln -sf libxrx.so.0.0.0 libxrx.so )
( cd usr/lib ; rm -rf libxrx.so.0 )
( cd usr/lib ; ln -sf libxrx.so.0.0.0 libxrx.so.0 )
( cd usr/lib ; rm -rf libxrxnest.so )
( cd usr/lib ; ln -sf libxrxnest.so.0.0.0 libxrxnest.so )
( cd usr/lib ; rm -rf libxrxnest.so.0 )
( cd usr/lib ; ln -sf libxrxnest.so.0.0.0 libxrxnest.so.0 )
( cd usr/lib/terminfo/v ; rm -rf vs100 )
( cd usr/lib/terminfo/v ; ln -sf ../x/xterm-24 vs100 )
( cd usr/lib/terminfo/x ; rm -rf xterm-old )
( cd usr/lib/terminfo/x ; ln -sf ../x/xterm-r6 xterm-old )
( cd usr/lib/terminfo/x ; rm -rf xterm-vi )
( cd usr/lib/terminfo/x ; ln -sf ../x/xterm-ic xterm-vi )
( cd usr/lib/terminfo/x ; rm -rf xterms )
( cd usr/lib/terminfo/x ; ln -sf ../x/xterm-24 xterms )
( cd usr/lib/xorg/modules/drivers ; rm -rf i810_drv.so )
( cd usr/lib/xorg/modules/drivers ; ln -sf intel_drv.so i810_drv.so )
( cd usr/share/X11 ; rm -rf app-defaults )
( cd usr/share/X11 ; ln -sf ../../../etc/X11/app-defaults app-defaults )
( cd usr/share/X11/xkb/rules ; rm -rf xorg )
( cd usr/share/X11/xkb/rules ; ln -sf base xorg )
( cd usr/share/X11/xkb/rules ; rm -rf xorg.lst )
( cd usr/share/X11/xkb/rules ; ln -sf base.lst xorg.lst )
( cd usr/share/X11/xkb/rules ; rm -rf xorg.xml )
( cd usr/share/X11/xkb/rules ; ln -sf base.xml xorg.xml )
( cd usr/share/X11/xkb ; rm -rf xkbcomp )
( cd usr/share/X11/xkb ; ln -sf /usr/bin/xkbcomp xkbcomp )
